Experiences Support

Supported Internet Browsers

This article covers support status across a range of common internet browsers, both in the platform and by end users.

Account users accessing the platform

We support the following browsers accessing the Experiences Platform:

Platform Browser Version
Desktop PC [1] Google Chrome Latest and previous major release. [3]
Mozilla Firefox
Apple Safari
Microsoft Edge

End-users accessing a campaign

We support the following browsers when accessing platform created campaigns:

Platform Browser Version
Desktop PC [1] Google Chrome Latest and previous major release. [3]
Mozilla Firefox
Apple Safari
Microsoft Edge
Microsoft Internet Explorer [2] 11.x (Macro experiences only)
iOS  Apple Safari Latest and previous major release. [3]

In-app browsers: [4]

  • Facebook
  • Twitter
  • Instagram
  • Snapchat
Latest app version.
Android  Google Chrome Latest and previous major release. [3]

In-app browsers: [4]

  • Facebook
  • Twitter
  • Instagram
  • Snapchat
Latest app version.

Notes

[1] We classify Desktop PCs as computers running macOS and Microsoft Windows.

[2] Microsoft Internet Explorer is supported by the majority of experiences in the Experience Library. However, it is not supported by micro-experiences (e.g. Social Stories, Embeddable Stories) due to lack of support for Internet Explorer within the web technologies used to deliver these experiences.

[3] We denote a major version as the first primary number (before any sub-version numbers, usually denoted by successive decimal points). For example, from 11.10.09 we would take 11 as the major version number. This website will help as a guide to determining the latest release of the most popular desktop browsers, for further help please contact your vendor.

[4] We verify that the experiences provided in the Experience Library can be shared within the social networks listed and that they function correctly within the in-app browsers of the listed applications. We test experiences that are shared directly or embedded within a single parent page. When an experience is embedded in a parent page, certain actions, such as sharing to social networks or social sign-in, may be restricted due to browser security constraints that are outside of our control. Please note that we do not support our experiences being embedded within other iFrames or embedded within other experiences.

Frequently Asked Questions (FAQ)

Why should I use the most up-to-date version?

Web technology development moves at an incredible pace, in order for us to take advantage of the very best of this, your browser will need to be as up-to-date as it can be. On a more serious note, not staying up-to-date can have serious security implications, as you will be more prone to exploits and vulnerabilities that could compromise your personal data.

How do I update my browser or check that automatic updates are enabled?

The following links below contain information on how you can check that updating is enabled.

Why aren't Internet Explorer 8, 9 or 10 supported?

Microsoft no longer provides generally available support for these browsers and, therefore, issues found within these browsers are no longer actively addressed. This has two significant impacts:

  1. The security status of these browsers is called into question as vulnerabilities are no longer actively managed.
  2. The support status has further exacerbated the reduction in usage worldwide, which now stands at a few percentage points and continues to decrease month-on-month.

No doubt due to this, several technologies we rely on to deliver the Experience platform have announced that they have or plan to drop support of these browsers imminently. 

On older Windows operating systems, such as Windows XP, you may not be able to upgrade to version Internet Explorer 11. In this case, we recommend installing another internet browser to access the platform. You can find instructions on how to check which version of Internet Explorer you have installed here.